Subject: [0/3] RFC: Cleanups and improvements to the zImage wrapper

From: David Gibson <[email-masked]>
Date: Fri, 16 Feb 2007 17:24:58 +1100

Here is a set of three patches that make some substantial changes to
the zImage wrapper's flow of control.  These changes make things more
flexible, in order to more easily handle a wider variety of
platforms.  They also make some things clearer than previously.

I think these are fairly close to ready to merge, but they need more
testing on various platforms.  In particular, I'm not terribly whether
my changes will work correctly on old powermac platforms booting from
COFF.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson